PETSc version 3.17.4
Fix/Edit manual page

# MatGetOwnershipIS

Get row and column ownership as index sets

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetOwnershipIS(Mat A,IS *rows,IS *cols)

Not Collective

### Input Parameter

| A | - matrix

### Output Parameters

| rows | - rows in which this process owns elements
| cols | - columns in which this process owns elements

### See Also

MatGetOwnershipRange(), MatGetOwnershipRangeColumn(), MatSetValues(), MATELEMENTAL, MATSCALAPACK

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatGetOwnershipIS_Elemental in src/mat/impls/elemental/matelem.cxx
MatGetOwnershipIS_ScaLAPACK in src/mat/impls/scalapack/matscalapack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages